- Qt 6.11
- Qt Core
- Obsolete Members for <QtCompare>
- Qt 6.11.1 Reference Documentation

# Obsolete Members for <QtCompare>

The following members of class <QtCompare> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(since 6.7, deprecated in 6.8)` Qt::strong_ordering | compareThreeWay(const LeftType *lhs, const RightType *rhs)

## Function Documentation

### `[constexpr noexcept, since 6.7, deprecated in 6.8]` template < typename LeftType, typename RightType, Qt::if_compatible_pointers<LeftType, RightType> = true > Qt::strong_ordering compareThreeWay(const LeftType *lhs, const RightType *rhs)

This function is deprecated since 6.8. We strongly advise against using it in new code.

Wrap the pointers into Qt::totally_ordered_wrapper and use the respective Qt::compareThreeWay() overload instead.

Implements three-way comparison of pointers.

Returns an instance of Qt::strong_ordering that represents the relation between lhs and rhs.

#### Constraints

Participates in overload resolution only if `LeftType` and `RightType` are the same type, or base and derived types. It is also used to compare any pointer to `std::nullptr_t`.

This is an overloaded function.

This function was introduced in Qt 6.7.